## ftm 0.0.7

=== debian/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

dist:: rules
	chmod +x rules

clean::
	rm -f *~
	rm -rf ftm

=== man/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

install::
	$(INSTALL) -d $(mandir)/man1
	$(INSTALL) -d $(mandir)/man5
	$(INSTALL) -c -m 0644 ftm.1 $(mandir)/man1
	$(INSTALL) -c -m 0644 ftm-config.5 $(mandir)/man5

uninstall::
	rm -f $(mandir)/man1/ftm.1
	rm -f $(mandir)/man5/ftm-config.5

=== src/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

LDLIBS = -labz -ldebug -liptc -lncurses

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = stats.o config.o clients.o io.o gui.o main.o

# program name (leave as is if there is no program)
PRG = ftm

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

install::
	$(INSTALL) -d $(sbindir)
	$(INSTALL) -c -m 0755 $(PRG) $(sbindir)

uninstall::
	rm -f $(sbindir)/$(PRG)

=== debian/changelog ===
ftm (0.0.7) unstable; urgency=low

  * Changed my name (Closes: #217225).

 -- Abraham vd Merwe <abz@debian.org>  Sun, 26 Oct 2003 17:56:16 +0200

ftm (0.0.6) unstable; urgency=low

  * Added jed rc file and example configuration file.
  * Added some more/better documentation (Closes: #217225).

 -- Abraham vd Merwe <abz@debian.org>  Sun, 26 Oct 2003 17:35:22 +0200

ftm (0.0.5) unstable; urgency=low

  * Fixed type in control file.

 -- Abraham vd Merwe <abz@debian.org>  Wed, 15 Oct 2003 19:24:08 +0200

ftm (0.0.4) unstable; urgency=low

  * Updated dependencies.
  * First public release.

 -- Abraham vd Merwe <abz@debian.org>  Tue,  7 Oct 2003 20:31:02 +0200

ftm (0.0.3) unstable; urgency=low

  * Fixed bug in rate parsing routine.
  * Added interval status message.

 -- Abraham vd Merwe <abz@debian.org>  Sun,  9 Mar 2003 20:11:03 +0200

ftm (0.0.2) unstable; urgency=low

  * Fixed bug in rate display routine.
  * Calculate suffixes for rates for more user-friendly appearance.

 -- Abraham vd Merwe <abz@debian.org>  Sun,  9 Mar 2003 19:40:48 +0200

ftm (0.0.1) unstable; urgency=low

  * Initial release.

 -- Abraham vd Merwe <abz@debian.org>  Sun,  9 Mar 2003 19:08:47 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ftm
Section: net
Priority: optional
Maintainer: Abraham vd Merwe <abz@debian.org>
Build-Depends: debhelper (>> 3.0.0), libdebug0-dev (>= 0.3.2), libabz0-dev (>= 0.4.4), iptables-dev, libncurses5-dev
Standards-Version: 3.5.8

Package: ftm
Architecture: any
Section: net
Depends: ${shlibs:Depends}
Description: Frogfoot Networks Traffic Monitoring Utility
 This is `ftm', a console utility used for monitoring networks
 using netfilter packet counters.

=== debian/rules ===
#!/usr/bin/make -f

# -*- sh -*-

export DH_VERBOSE=1
export DH_COMPAT=3

DESTDIR=$(CURDIR)/debian/tmp

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	find . \( -name "*~" -o -name ".#*" \) -exec rm {} \;
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean
	rm -f $(CURDIR)/debian/{build,configure}-stamp
	rm -rf $(CURDIR)/debian/{ftm,tmp}

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(DESTDIR) prefix=$(DESTDIR)/usr install

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_movefiles -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installman -a
	dh_installchangelogs -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch
.PHONY: build clean binary-arch binary install configure

## ftm 0.0.8

=== debian/changelog ===
ftm (0.0.8) unstable; urgency=low

  * Added dependency on latest libabz (Closes: #422435, #423284).
  * Updated debian policy version.

 -- Abraham vd Merwe <abz@debian.org>  Fri, 11 May 2007 11:37:17 +0200

=== debian/control ===
Source: ftm
Section: net
Priority: optional
Maintainer: Abraham vd Merwe <abz@debian.org>
Build-Depends: debhelper (>> 4.0.0), libdebug0-dev (>= 0.4.2), libabz0-dev (>= 0.7.2), iptables-dev, libncurses5-dev
Standards-Version: 3.6.1

Package: ftm
Architecture: any
Section: net
Depends: ${shlibs:Depends}, libabz0-dev (>= 0.7.2)
Description: Frogfoot Networks Traffic Monitoring Utility
 This is `ftm', a console utility used for monitoring networks
 using netfilter packet counters.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # -*- sh -*-
 
 export DH_VERBOSE=1
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 DESTDIR=$(CURDIR)/debian/tmp
